Page MenuHomePhabricator

Test browser extension files
Closed, ResolvedPublic2 Estimated Story Points

Description

@Mholloway created browser extension files that can be installed for testing.

The .crx file is for Chrome. To install it, download it and drag and drop it onto a Chrome window open to **chrome://extensions/**

The .xpi file is for Firefox. To install it, download it and drag and drop it onto a Firefox window.

The .safariextz file is for Safari. To install it, download and double-click it.

Event Timeline

LGoto triaged this task as High priority.May 9 2018, 11:40 PM
LGoto created this task.
RHo added a comment.May 11 2018, 1:44 PM

hi @LGoto - only the Safari extension attached in the description, missing the Chrome and Firefox ones.

Further note on the Safari extension - in order to install one that isnt' from their store, there's a weird bug where clicking "Trust" doesn't result in installation. Workaround is mentioned on this stackexchange thread:

To install a .safariextz file, go to:
System Preferences > Keyboard > Shortcuts > Keyboard (for OS X 10.11.4+)
or
System Preferences > Keyboard > Shortcuts > Full Keyboard Access (for OS X 10.11.1 to 10.11.3)
Then at the bottom of that dialog box, change the Full Keyboard Access://... option from Text boxes and lists only to All controls. You can then dismiss that System Preferences window.
Then, return to installing the extension. Double click your Safari Extension file and when the
"Are you sure you want to install..."// dialog box appears, do not click on the Trust button. Instead, use tab to select the "Trust" button and then confirm by hitting space. That should install the extension as required.

RHo added a comment.May 11 2018, 1:47 PM

hi @Mholloway - I'm getting an error in the Safari extension where it's not recognising me as being logged in:

when the "Are you sure you want to install..." dialog box appears, do not click on the Trust button. Instead, use tab to select the "Trust" button and then confirm by hitting space. That should install the extension as required.

0_o

I hadn't run into that one. Thanks for tracking it down, @RHo!

hi @Mholloway - I'm getting an error in the Safari extension where it's not recognising me as being logged in:

Hmm. This happened for me, too, until it suddenly didn't anymore. I was hoping it was a fluke. Will investigate. Possibly a HTTP caching issue.

Mholloway updated the task description. (Show Details)May 11 2018, 1:58 PM

hi @LGoto - only the Safari extension attached in the description, missing the Chrome and Firefox ones.

Updated the description to add them.

LGoto added a comment.May 11 2018, 3:09 PM

Whoops sorry about the missing attachments! Thanks @Mholloway for adding those

Mholloway added a comment.EditedMay 14 2018, 3:28 PM

@RHo I am seeing weird login state loss on Safari generally, even separate from the extension. Can you reproduce the following?

  1. Log out if logged in
  2. Log in to a wiki (do not check the "keep me logged in" checkbox)
  3. Navigate around for a bit

I find that if I don't check "keep me logged in," Safari very quickly loses my login state and I appear as logged out again on the wiki itself. The extension behavior would follow as a consequence of this. If I check the box, then I remain logged in and the extension works as expected.

Edit: This doesn't happen without fail; there must be some intervening factor I haven't identified yet...

Further on the Safari weirdness, this seems to happen when I first open Safari and log in after some time away. Logging out and then logging in with "keep me logged in" checked seems not only to preserve the login for that login session, but even if I log out and then log in again without the box checked.

T150792: Spike: investigate odd safari behaviors might be related but doesn't provide specifics on what errors were observed.

RHo added a comment.May 14 2018, 6:00 PM

hey @Mholloway - this is happening for me regardless of whether I have "keep me logged in" checked or unchecked. Here's a demo: https://www.youtube.com/watch?v=6Tub_b9HqqI&feature=youtu.be

FWIW the Pocket extension on Safari is working - could this be to do with the extension not being on the Safari store?

Mholloway updated the task description. (Show Details)
Mholloway added a subscriber: ABorbaWMF.

Over to you, @ABorbaWMF! Thanks.

@RHo If you navigate to one or more different pages on the wiki while the browser extension is exhibiting that misbehavior, do you appear logged in or not on the wiki itself?

RHo added a comment.May 14 2018, 7:39 PM

@Mholloway - navigating to different pages in the wiki I am still logged in, even when changing to a different language.
Not sure if relevant, but when I click on the "Log in" button in the extension pop-up after being logged in nothing happens.
Also, I checked my reading list in the app and can confirm that no articles are being added.

Here's another screencast capturing the bug described: https://youtu.be/q8HkLr49sLw

Mholloway added a comment.EditedMay 16 2018, 2:02 PM

After some more testing, I can reproduce this reliably. It appears that the extension causes the session cookie(s) to expire if "keep me logged in" is not selected upon login. This appears to be a quirk of Safari cookie handling.

If "keep me logged in" is left unchecked when logging in:

  • If the "prevent cross-site tracking" option is selected (Safari > Preferences > Privacy), clicking the extension toolbar button and opening the popover blows away the session; you will be logged out of the wiki.
  • If the "prevent cross-site tracking" option is unselected, the extension still does not find the session cookie (and thus still prompts you to log in), but you will remain logged in on-wiki. (Note: when loading a new page after selecting a button, you will at first appear logged out, but the logged-in info will appear in the upper right after the page loads.)

If "keep me logged in" is checked when logging in:

The extension works as expected. I can't reproduce any failure in this case.

@RHo, one thing that might be leading to confusion is that currently when the popover opens, it reflects the previous state when opened; the UI does not update until after the new request sequence completes. So it might be that when opening the popover with "keep me logged in" checked, you weren't leaving the popover open long enough for requests to complete and update the popover UI. I'll work on updating this so it's less misleading. In the meantime, could you please try again with ""keep me logged in" checked when logging in?

RHo updated the task description. (Show Details)May 16 2018, 2:34 PM
Mholloway updated the task description. (Show Details)May 16 2018, 2:40 PM

Updated the Safari extension file with UX improvements as described above.

RHo added a comment.May 16 2018, 3:25 PM

hi @mdholloway - I tried again with the new extension file, with "Keep me logged in" checked, and waiting a bit before retrying and still getting the same error where the logged in state is not being recognized. New screencast: https://youtu.be/kdYO8td-I94

On a more positive note, the Firefox and Chrome extensions work! Can we make the article title bold though in the popover?

hi @mdholloway - I tried again with the new extension file, with "Keep me logged in" checked, and waiting a bit before retrying and still getting the same error where the logged in state is not being recognized. New screencast: https://youtu.be/kdYO8td-I94

Quite strange. I can't repro this at all when I log in with "keep me logged in" checked. Sounds like we could use some more eyes on this.

On a more positive note, the Firefox and Chrome extensions work! Can we make the article title bold though in the popover?

Will do.

Yeah, this Safari issue seems to be machine/install specific. I'd suggest we hold off putting more work in on it until/unless the issue can be reproduced by @Aborba or someone besides @RHo and @Mholloway can retest.

FWIW, this seems annoying but not critical, and as a sometimes Safari user, it is quite aggressive about credentials checks/log in preservation, so having to re-enter credentials is something Safari users might be pretty accustomed to.

RHo added a comment.May 16 2018, 7:48 PM

Yeah, this Safari issue seems to be machine/install specific. I'd suggest we hold off putting more work in on it until/unless the issue can be reproduced by @Aborba or someone besides @RHo and @Mholloway can retest.

FWIW, this seems annoying but not critical, and as a sometimes Safari user, it is quite aggressive about credentials checks/log in preservation, so having to re-enter credentials is something Safari users might be pretty accustomed to.

+1 - I was able to get this to work on another laptop with Safari Version 11.1 (11605.1.33.1.4), but only if "keep me logged in" is checked.

FWIW my work laptop has the same Safari version 11.1 (13605.1.33.1.4) installed, but maybe there's weird extra security happening for whatever reason -_-

ABorbaWMF added a comment.EditedMay 17 2018, 9:23 PM

Testing browser extension over time here and I will update the ticket as I go. Below are some issues I am seeing.

Articles with titles containing characters that are non-latin or non-english (accented) cause an error and the articles are not saved. Also happens with things like apostrophes (see below). This is occurring so far on Chrome, Firefox, and Safari:


On Safari, I am getting multiple login prompts the first few time I attempt to save after logging in:

Hey all. After a brief sync at standup, here's the priorities for release:

  • @ABorbaWMF to continue/finalize testing Firefox, additional form factors
  • @Mholloway please focus on with special characters on Chrome
  • Lets hold off on Safari issues until the above are resolved. Rita and Josh will ensure announcements/comms do not mention Safari specifically for now.

Firefox looks pretty good as well. I can also reproduce the issue with special characters on Firefox. I updated the comment above and added a screenshot.

  • Lets hold off on Safari issues until the above are resolved. Rita and Josh will ensure announcements/comms do not mention Safari specifically for now.

I think that's wise. I'll work today on fixing the outstanding issues with the Chrome/FF extension and getting the announcements teed up.

Mholloway updated the task description. (Show Details)May 22 2018, 3:33 PM

Updated the Chrome and Firefox files in the task description with updates to fix the title encoding bug and boldface the title in the success message.

Mholloway updated the task description. (Show Details)Jun 1 2018, 8:37 PM

The Safari extension file in the description is updated with the latest changes. Hats off to @bearND for figuring out the cookie handling issue and restructuring the code to resolve it. @RHo / @ABorbaWMF would you mind giving it one more look?

RHo added a comment.Jun 4 2018, 5:01 PM

hi @Mholloway - works for me now without needing to check "keep me logged in" \o/

Mholloway updated the task description. (Show Details)Jun 5 2018, 3:39 PM

Updated with the Safari release candidate. If no one spies any problems with this one I'll plan to publish by end of week at the latest.

@ABorbaWMF The file in the task description, WikipediaReadingListsv04.safariextz, is the latest. Have you had a chance to check it out?

Also, when testing try a different user language set in the wiki preferences, to make sure i18n still works and the popup messages from the extension show up in that language.

Sorry for the delay. I took a quick look and ran into a couple issues that I will list below and I will also keep testing it a bit.

Chrome - The extension is not installing properly for me. I'm not sure if there's a chrome setting I need to tweak, but I seem to remember just dropping the previous version into the extensions page. Right now I am getting this error.

Firefox - The extension is also not installing correctly for me. I am seeing this.

Safari - This one is installing for me. So far it has been working. Still testing...

@ABorbaWMF I think the main thing right now is the Safari extension since the other two have already been published.

ABorbaWMF closed this task as Resolved.Jun 25 2018, 5:22 PM

The Safari extension looks good. Tried multiple different articles including various languages and so on. Everything seems to be working. The articles are synced and available on the devices I am testing as well.

Vvjjkkii renamed this task from Test browser extension files to b9caaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ABorbaWMF as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
bearND renamed this task from b9caaaaaaa to Test browser extension files.Jul 1 2018, 4:09 AM
bearND closed this task as Resolved.
bearND claimed this task.
bearND removed bearND as the assignee of this task.Jul 1 2018, 4:12 AM
bearND updated the task description. (Show Details)
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)